> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Blood Banks

> User can search blood banks using State & District wise.



## OpenAPI

````yaml POST /abdm/uhi/v1/blood-bank/search
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/blood-bank/search:
    post:
      description: Search for Blood Bank District Wise
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelSearchBloodBankPayload'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  request_id:
                    type: string
                  status:
                    enum:
                      - SUCCESS
                      - FAILURE
                    examples:
                      - SUCCESS
                    type: string
                type: object
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelSearchBloodBankPayload:
      properties:
        blood_component:
          type: string
        blood_group:
          type: string
        district:
          description: district to search, mandatory for district search
          type: string
        location:
          $ref: '#/components/schemas/NdhmeventLocation'
          description: location to search, mandatory for location search
        radius:
          $ref: '#/components/schemas/ModelRadiusAround'
          description: radius to search, mandatory for location search
        search_type:
          examples:
            - location
          type: string
        state:
          description: State of the district, mandatory for district search
          type: string
      required:
        - search_type
        - blood_group
        - blood_component
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    NdhmeventLocation:
      properties:
        lat:
          type: number
        long:
          type: number
      type: object
    ModelRadiusAround:
      properties:
        unit:
          examples:
            - km
          type: string
        value:
          type: integer
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````